function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { Component } from 'react';
import { arrayOf, string, number, shape } from 'prop-types';
import GalleryItem from "./item";
const pageSize = 12;
const emptyData = Array.from({
  length: pageSize
}).fill(null); // inline the placeholder elements, since they're constant

const defaultPlaceholders = emptyData.map((_, index) => React.createElement(GalleryItem, {
  key: index,
  placeholder: true
}));

class GalleryItems extends Component {
  get placeholders() {
    const {
      pageSize
    } = this.props;
    return pageSize ? Array.from({
      length: pageSize
    }).fill(null).map((_, index) => React.createElement(GalleryItem, {
      key: index,
      placeholder: true
    })) : defaultPlaceholders;
  }

  render() {
    const {
      items
    } = this.props;

    if (items === emptyData) {
      return this.placeholders;
    }

    return items.map(item => React.createElement(GalleryItem, {
      key: item.id,
      item: item
    }));
  }

}

_defineProperty(GalleryItems, "propTypes", {
  items: arrayOf(shape({
    id: number.isRequired,
    name: string.isRequired,
    small_image: string.isRequired,
    price: shape({
      regularPrice: shape({
        amount: shape({
          value: number.isRequired
        }).isRequired
      }).isRequired
    }).isRequired
  })).isRequired,
  pageSize: number
});

export { GalleryItems as default, emptyData };
//# sourceMappingURL=items.js.map