function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { Component } from 'react';
import { arrayOf, func, object, shape, string } from 'prop-types';
import classify from "../../classify";
import SwatchList from "./swatchList";
import TileList from "./tileList";
import defaultClasses from "./option.css";

const getItemKey = ({
  value_index
}) => value_index;

class Option extends Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "handleSelectionChange", selection => {
      const {
        attribute_id,
        onSelectionChange
      } = this.props;

      if (onSelectionChange) {
        onSelectionChange(attribute_id, selection);
      }
    });
  }

  get listComponent() {
    const {
      attribute_code
    } = this.props; // TODO: get an explicit field from the API
    // that identifies an attribute as a swatch

    return attribute_code === 'fashion_color' ? SwatchList : TileList;
  }

  render() {
    const {
      handleSelectionChange,
      listComponent: ValueList,
      props
    } = this;
    const {
      classes,
      label,
      values
    } = props;
    return React.createElement("div", {
      className: classes.root
    }, React.createElement("h3", {
      className: classes.title
    }, React.createElement("span", null, label)), React.createElement(ValueList, {
      getItemKey: getItemKey,
      items: values,
      onSelectionChange: handleSelectionChange
    }));
  }

}

_defineProperty(Option, "propTypes", {
  attribute_id: string,
  attribute_code: string.isRequired,
  classes: shape({
    root: string,
    title: string
  }),
  label: string.isRequired,
  onSelectionChange: func,
  values: arrayOf(object).isRequired
});

export default classify(defaultClasses)(Option);
//# sourceMappingURL=option.js.map